TextFormatParseInfoTree.Builder
Date: 2017-07-08

com.google.protobuf

## Class TextFormatParseInfoTree.Builder

- java.lang.Object
- - com.google.protobuf.TextFormatParseInfoTree.Builder

- Enclosing class:
    TextFormatParseInfoTree

      public static class TextFormatParseInfoTree.Builder
      extends java.lang.Object

  Builder for a `TextFormatParseInfoTree`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextFormatParseInfoTree` | `build()` Build the `TextFormatParseInfoTree`.
    `TextFormatParseInfoTree.Builder` | `getBuilderForSubMessageField(Descriptors.FieldDescriptor fieldDescriptor)` Set for a sub message.
    `TextFormatParseInfoTree.Builder` | `setLocation(Descriptors.FieldDescriptor fieldDescriptor, TextFormatParseLocation location)` Record the starting location of a single value for a field.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setLocation

          public TextFormatParseInfoTree.Builder setLocation(Descriptors.FieldDescriptor fieldDescriptor,
                                                    TextFormatParseLocation location)

      Record the starting location of a single value for a field.
      Parameters:
        `fieldDescriptor` - the field
        `location` - source code location information

    - #### getBuilderForSubMessageField

          public TextFormatParseInfoTree.Builder getBuilderForSubMessageField(Descriptors.FieldDescriptor fieldDescriptor)

      Set for a sub message.

      A new builder is created for a sub message. The builder that is returned is a new builder. The return is not the invoked `builder.getBuilderForSubMessageField`.

      Parameters:
        `fieldDescriptor` - the field whose value is the submessage
      Returns:
        a new Builder for the sub message

    - #### build

          public TextFormatParseInfoTree build()

      Build the `TextFormatParseInfoTree`.
      Returns:
        the `TextFormatParseInfoTree`